Issue 120751 - Hunspell built with different STL than lingucomponent
Hunspell built with different STL than lingucomponent
Status: CLOSED FIXED
Product: Build Tools
Classification: Code
Component: external prerequisites
4.0.0-dev
Other Solaris
: P3 normal (vote)
: 4.0.0
Assigned To: Pedro Giffuni
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 15:48 UTC by Jean-Louis Fuchs
Modified: 2013-07-11 15:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patching the makefile of hunspell to link against libstlport (938 bytes, patch)
2012-08-29 15:51 UTC, Jean-Louis Fuchs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Jean-Louis Fuchs 2012-08-29 15:48:16 UTC
Hunspell is built with libCstd on solaris, while AOO uses libstlport: This causes linking errors in the compoment lingucomponent/source/spellcheck/spell.

I solved the problem by linking Hunspell against the liblstlport_sunpro in $(SOLARVER)/$(INPATH)/lib.

I attached a patch. NOTE: I don't know if the dependancies must be changed, since I fixed this at the end of my build.

-> Patch of ext_libraries/hunspell/makefile.mk
Comment 1 Jean-Louis Fuchs 2012-08-29 15:51:14 UTC
Created attachment 79217 [details]
Patching the makefile of hunspell to link against libstlport
Comment 2 SVN Robot 2012-12-03 15:48:23 UTC
"pfg" committed SVN revision 1416566 into trunk:
#i120751# Hunspell built with different STL than lingucomponent.
Comment 3 Pedro Giffuni 2012-12-03 16:32:20 UTC
The change was properly ifdef'd for Solaris.